> ## Documentation Index
> Fetch the complete documentation index at: https://hyperbrowser.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Run manual CAPTCHA evaluation

> Trigger a bounded CAPTCHA evaluation on an active browser session. Supported CAPTCHA targets are turnstile, cloudflare-challenge, aliexpress, recaptcha, and amazon.



## OpenAPI

````yaml /openapi.json POST /api/session/{id}/captcha/evaluate
openapi: 3.0.1
info:
  title: Hyperbrowser API
  version: 1.0.0
servers:
  - url: https://api.hyperbrowser.ai
    description: Production server
security: []
paths:
  /api/session/{id}/captcha/evaluate:
    post:
      summary: Run manual CAPTCHA evaluation
      description: >-
        Trigger a bounded CAPTCHA evaluation on an active browser session.
        Supported CAPTCHA targets are turnstile, cloudflare-challenge,
        aliexpress, recaptcha, and amazon.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CaptchaEvaluationParams'
            examples:
              recaptchaVisual:
                summary: Evaluate visual reCAPTCHA
                value:
                  captchaType: recaptcha
                  iterations: 2
              turnstile:
                summary: Evaluate Turnstile
                value:
                  captcha: turnstile
                  maxIterations: 3
      responses:
        '200':
          description: CAPTCHA evaluation completed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CaptchaEvaluationResponse'
        '400':
          description: Invalid evaluation request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Session not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: CAPTCHA evaluation is already running
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: javascript
          label: Run manual CAPTCHA evaluation
          source: |-
            import { Hyperbrowser } from '@hyperbrowser/sdk';

            const client = new Hyperbrowser({ apiKey: 'your-api-key' });

            const result = await client.sessions.evaluateCaptcha('session-id', {
              captchaType: 'recaptcha',
              iterations: 2
            });
        - lang: python
          label: Run manual CAPTCHA evaluation
          source: |-
            from hyperbrowser import Hyperbrowser
            from hyperbrowser.models import CaptchaEvaluationParams

            client = Hyperbrowser(api_key='your-api-key')

            result = client.sessions.evaluate_captcha(
              'session-id',
              CaptchaEvaluationParams(
                captcha_type='recaptcha',
                iterations=2
              )
            )
        - lang: bash
          label: Run manual CAPTCHA evaluation
          source: >-
            curl -X POST
            "https://api.hyperbrowser.ai/api/session/$SESSION_ID/captcha/evaluate"
            \
              -H "Content-Type: application/json" \
              -H "x-api-key: $HYPERBROWSER_API_KEY" \
              -d '{"captchaType":"recaptcha","iterations":2}'
components:
  schemas:
    CaptchaEvaluationParams:
      type: object
      properties:
        captcha:
          $ref: '#/components/schemas/CaptchaEvaluationType'
        captchaType:
          $ref: '#/components/schemas/CaptchaEvaluationType'
        text:
          $ref: '#/components/schemas/CaptchaEvaluationType'
        iterations:
          type: integer
          minimum: 1
          maximum: 20
        maxIterations:
          type: integer
          minimum: 1
          maximum: 20
        solverType:
          type: string
          enum:
            - visual
          description: >-
            Optional CAPTCHA solver mode. Set to visual to use the visual
            reCAPTCHA solver.
        imageCaptchaParams:
          type: array
          items:
            $ref: '#/components/schemas/ImageCaptchaParam'
        useUltraStealth:
          type: boolean
    CaptchaEvaluationResponse:
      type: object
      properties:
        success:
          type: boolean
        captcha:
          allOf:
            - $ref: '#/components/schemas/CaptchaEvaluationType'
          nullable: true
        iterationsRequested:
          type: integer
        iterationsRun:
          type: integer
        solved:
          type: boolean
        solvedCaptchas:
          type: array
          items:
            $ref: '#/components/schemas/CaptchaEvaluationType'
        pages:
          type: array
          items:
            $ref: '#/components/schemas/CaptchaEvaluationPageResult'
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
    CaptchaEvaluationType:
      type: string
      enum:
        - turnstile
        - cloudflare-challenge
        - aliexpress
        - recaptcha
        - amazon
      description: CAPTCHA target to evaluate manually.
    ImageCaptchaParam:
      type: object
      properties:
        imageSelector:
          type: string
        inputSelector:
          type: string
    CaptchaEvaluationPageResult:
      type: object
      properties:
        url:
          type: string
        targetId:
          type: string
          nullable: true
        iterationsRun:
          type: integer
        solved:
          type: boolean
        solvedCaptchas:
          type: array
          items:
            $ref: '#/components/schemas/CaptchaEvaluationType'
        checkedCaptchas:
          type: array
          items:
            $ref: '#/components/schemas/CaptchaEvaluationType'
        captchaSolvedCounts:
          type: object
          additionalProperties:
            type: number
        lastSolveTime:
          type: object
          additionalProperties:
            type: number
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````